;  Setup file for the SmarThink

;
;  TranspositionSize - the size of transposition table
;                                                  
;  Value                   Size (bytes)
;
;  15                      655360
;  16                      1310720
;  17                      2621440
;  18                      5242880
;  19 *                    10485760
;  20                      20971520
;  21                      41943040
;  22                      83886080
;  23                      167772160
;  24                      335544320
;
;  * - default
;

TranspositionSize=19

;  
;  PawnHashSize - the size of pawn hash
;
;  Value                   Size (bytes)
;
;  14                      360448
;  15                      720896
;  16                      1441792
;  17                      2883534
;  18 *                    5767168
;  19                      11534336
;  20                      23068672
;  21                      46137344
;  22                      92274688
;  23                      184549376
;
;  * - default
;

PawnHashSize=17

;
; Aggressivity (%) - causes SmarThink to attack enemy king stronger
; (100 by default)
;
; 0 <= Aggressivity <= 300
;

Aggressivity=100

;
; Cowardice (%) - causes SmarThink to make care of own king
; (100 by default)
;
; 0 <= Cowardice <= 300
;

Cowardice=100

; In learning mode SmarThink saves a costly miscalculations in special
; file for using this info in next games

Learning=off

; When UseLearningData on, SmarThink uses data from learning file

UseLearningData=off

; If LogLearningIntoFile is on than SmarThink shows all learning positions
; in log-file (EPD-notation and several additional debug info)

LogLearningIntoFile=off

; If evaluation is less than *ResignValue* during *ResignTimes* moves
; than SmarThink resigns

ResignValue=700
ResignTimes=3

; In book learning mode SmarThink updates weights in openings book

BookLearning=off

; DISCOVER = play unchecked variations first to collect a weights,
; KILL = try to find best lines to overthrow opponent

BookLearningMode=KILL

; VarietyOfPlay (%) - play book move only if its weight is not less
; than weight of best move by *VarietyOfPlay* %.

VarietyOfPlay=15

; Update weight if abs(evaluation)>*BookLearningBound*

BookLearningBound=260

; No comments

UseBookWeights=on

; Support pondering or no?

Pondering=on

; Use endgame tablebases or no

UseEGTB=on

; Path to tablebase files

EGTBpath=d:\tbs
